[![License: AGPL v3](https://img.shields.io/badge/License-AGPL%20v3-blue.svg)](https://www.gnu.org/licenses/agpl-3.0) [![Join the chat at https://gitter.im/nofollow-e107-plugin/Lobby](https://badges.gitter.im/nofollow-e107-plugin/Lobby.svg)](https://gitter.im/nofollow-e107-plugin/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

# nofollow
An SEO oriented e107 plugin that helps control the rel=nofollow attribute on user posted hyperlinks.

# Description
This plugin is aimed to put off back-link building SPAM posts in e107 powered websites. Simply put, it inserts rel='nofollow' attribute to user posted untrusted hyperlinks. But its behavior is dependent on many variables which can be controlled by means of plugin options.

Hyperlinks with an rel='nofollow' attribute generate no positive benefits as to search engine algorithmic perspective for the poster and such hyperlink target URLs are mostly dropped out of search engine link graph.

Google recommend to use hyperlinks with rel='nofollow' in these cases:
* Untrusted content
* Paid links
* Crawl prioritization

## References
[Google's official policy on nofollow links](https://support.google.com/webmasters/answer/96569?hl=en)

[Google search engine optimization starter guide](https://support.google.com/webmasters/answer/7451184?hl=en)

# Contributions
Community contributions to nofollow plugin are welcome.

### Ways to contribute
* Find bugs and file issues
* Submit pull requests to - fix errors, squash bugs, refactor for performance, write language packs
* Submit feature requests
* Express gratitude - scientific studies continually prove that expressing gratitude can make you happier :wink: :laughing: :heart_eyes:


## License
GNU Affero General Public License. [<http://www.gnu.org/licenses/agpl-3.0.html>](http://www.gnu.org/licenses/agpl-3.0.html)
